{ config, pkgs, ... }: {
  imports = [ ../../common ../../common/lxc.nix ];
  networking.hostName = "minio";
  system.stateVersion = "21.11";

  networking.firewall.enable = false;
  networking.firewall.allowedTCPPorts = [ 9000 9001 ];

  services.minio = {
    enable = true;
    rootCredentialsFile = "/var/lib/keys/minioSettings";
  };
}
